.jobs-search-list{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.job-detail{
    border: 1px solid #e5e5e8;
    border-radius: 20px;
    padding: 24px;
    display: flex;
    justify-content: space-between;
    gap: 24px;
    background: #fff;
    height: fit-content;
}

.job-detail h3 {
    margin: 0 0 28px;
    font-size: 1.5rem;
}

.job-time {
    display: flex;
    gap: 80px;
    flex-wrap: wrap;
    color: #36373a;
    font-size: 0.95rem;
}

.deadline, .posting-date {
    display: flex;
    flex-direction: column;
}

.job-salary{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: space-between;
    min-width: 140px;
}

.job-salary p{
    margin: 0;
    font-weight: 700;
    color: #1d5bd8;
    font-size: 24px;
}

.job-salary a {
    border: 1px solid #1d5bd8;
    background: transparent;
    color: #1d5bd8;
    padding: 12px 24px;
    border-radius: 999px;
    font-weight: 600;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

.job-salary a img {
    width: 24px;
    height: 24px;
}

.pagination {
    justify-content: center;
    margin-bottom: 80px;
}

@media (max-width: 1024px) {
    .jobs-search-list {
        gap: 20px;
    }

    .job-detail {
        gap: 10px;
    }

    .job-detail h3 {
        font-size: 1.25rem;
        margin-bottom: 20px;
    }

    .job-time {
        gap: 28px;
        font-size: 0.9rem;
    }

    .job-salary {
        min-width: 120px;
    }

    .job-salary p {
        font-size: 24px;
    }

    .job-salary a {
        padding: 10px 24px;
        gap: 6px;
    }
}

@media (max-width: 720px) {
    .job-detail {
        flex-direction: column;
        padding: 24px;
        gap: 20px;
        border-radius: 20px;
    }

    .job-detail h3 {
        font-size: 1.1rem;
        margin-bottom: 16px;
    }

    .job-time {
        gap: 24px;
        font-size: 0.85rem;
    }

    .deadline,
    .posting-date {
        gap: 6px;
    }

    .job-salary {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
        gap: 16px;
    }

    .job-salary p {
        font-size: 20px;
    }

    .job-salary a {
        padding: 12px 20px;
        font-size: 14px;
    }

    .job-salary a img {
        width: 20px;
        height: 20px;
    }

    .pagination {
        margin-bottom: 40px;
    }
}
